# Uses of Class
org.eclipse.jface.action.MenuManager

Packages that use MenuManager
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.internal
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of MenuManager in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
CompareEditorInput.`registerContextMenu(MenuManager menu, ISelectionProvider selectionProvider)`
`void`
ICompareContainer.`registerContextMenu(MenuManager menu, ISelectionProvider selectionProvider)`
Register the content menu with the container to give the container a chance to add additional items to the context menu such as popup menu object contributions.

## Uses of MenuManager in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
CompareContainer.`registerContextMenu(MenuManager menu, ISelectionProvider selectionProvider)`

## Uses of MenuManager in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory that return MenuManager
Modifier and Type
Method
Description
`protected MenuManager`
AbstractMemoryRendering.`getPopupMenuManager()`
Returns the pop up menu manager for this rendering, or `null` if none.

## Uses of MenuManager in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return MenuManager
Modifier and Type
Method
Description
`MenuManager`
MenuManagerRenderer.`getManager(MMenu model)`
`MenuManager`
ContributionRecord.`getManagerForModel()`
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
MenuManagerRenderer.`clearModelToManager(MMenu model, MenuManager manager)`
`MMenu`
MenuManagerRenderer.`getMenuModel(MenuManager manager)`
`void`
MenuManagerRenderer.`linkModelToManager(MMenu model, MenuManager manager)`
`void`
MenuManagerRenderer.`reconcileManagerToModel(MenuManager menuManager, MMenu menuModel)`
`void`
MenuManagerRenderer.`removeDynamicMenuContributions(MenuManager menuManager, MMenu menuModel)`
Remove all dynamic contribution items and their model for the MenuManager specified.
`void`
MenuManagerRenderer.`removeDynamicMenuContributions(MenuManager menuManager, MMenu menuModel, List<MMenuElement> dump)`
Clean dynamic menu contributions provided by `MDynamicMenuContribution` application model elements
`static void`
MenuManagerRendererFilter.`updateElementVisibility(MMenu menuModel, MenuManagerRenderer renderer, MenuManager menuManager, IEclipseContext evalContext, int recurseLevel, boolean updateEnablement)`
`static void`
MenuManagerRenderer.`updateVisibility(MenuManager menuManager, MMenuElement element, ExpressionContext evalContext)`

## Uses of MenuManager in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return MenuManager
Modifier and Type
Method
Description
`MenuManager`
ToolBarManager.`getContextMenuManager()`
Returns the context menu manager for this tool bar manager.
Methods in org.eclipse.jface.action with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
ToolBarManager.`setContextMenuManager(MenuManager contextMenuManager)`
Sets the context menu manager for this tool bar manager to the given menu manager.

## Uses of MenuManager in org.eclipse.jface.internal

Methods in org.eclipse.jface.internal with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
MenuManagerEventHelper.`hideEventPostHelper(MenuManager manager)`
Do hide post-processing.
`void`
MenuManagerEventHelper.`hideEventPreHelper(MenuManager manager)`
Do hide pre-processing.
`void`
MenuManagerEventHelper.`showEventPostHelper(MenuManager manager)`
Do show post-processing.
`void`
MenuManagerEventHelper.`showEventPreHelper(MenuManager manager)`
Do show pre-processing.

## Uses of MenuManager in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return MenuManager
Modifier and Type
Method
Description
`protected MenuManager`
ApplicationWindow.`createMenuManager()`
Returns a new menu manager for the window.
`MenuManager`
ApplicationWindow.`getMenuBarManager()`
Returns the menu bar manager for this window (if it has one).

## Uses of MenuManager in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
SaveableCompareEditorInput.`registerContextMenu(MenuManager menu, ISelectionProvider selectionProvider)`

## Uses of MenuManager in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
IEditorSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
Registers a pop-up menu with a particular id for extension.
`void`
IEditorSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
Registers a pop-up menu with the default id for extension.
`void`
IWorkbenchPartSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with a particular id for extension.
`void`
IWorkbenchPartSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with the default id for extension.

## Uses of MenuManager in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return MenuManager
Modifier and Type
Method
Description
`MenuManager`
PopupMenuExtender.`getManager()`
`MenuManager`
WorkbenchWindow.`getMenuManager()`
Methods in org.eclipse.ui.internal with parameters of type MenuManager
Modifier and Type
Method
Description
`final boolean`
PopupMenuExtender.`matches(MenuManager menuManager, ISelectionProvider selectionProvider, IWorkbenchPart part)`
Determines whether this extender would be the same as another extender created with the given values.
`final void`
EditorSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`final void`
EditorSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`void`
PartSite.`registerContextMenu(String menuID, MenuManager menuMgr, ISelectionProvider selProvider)`
Register a popup menu for extension.
`static final void`
PartSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput, IWorkbenchPart part, IEclipseContext context, Collection<PopupMenuExtender> menuExtenders)`
This is a helper method for the register context menu functionality.
`void`
PartSite.`registerContextMenu(MenuManager menuMgr, ISelectionProvider selProvider)`
Register a popup menu with the default id for extension.
Constructors in org.eclipse.ui.internal with parameters of type MenuManager
Modifier
Constructor
Description
``
`PopupMenuExtender(String id, MenuManager menu, ISelectionProvider prov, IWorkbenchPart part, IEclipseContext context)`
Construct a new menu extender.
``
`PopupMenuExtender(String id, MenuManager menu, ISelectionProvider prov, IWorkbenchPart part, IEclipseContext context, boolean includeEditorInput)`
Construct a new menu extender.

## Uses of MenuManager in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
NavigatorActionService.`prepareMenuForPlatformContributions(MenuManager menu, ISelectionProvider aSelectionProvider, boolean force)`
Prepares the menu for object contributions, if the option is set in the extension.
`void`
ICommonViewerWorkbenchSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with a particular id for extension.

## Uses of MenuManager in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type MenuManager
Modifier and Type
Method
Description
`void`
IPageSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)`
Registers a pop-up menu with a particular id for extension.
`void`
MultiPageEditorSite.`registerContextMenu(String menuID, MenuManager menuMgr, ISelectionProvider selProvider)`
The `MultiPageEditorSite` implementation of this `IWorkbenchPartSite` method forwards to the multi-page editor for registration.
`final void`
MultiPageEditorSite.`registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`void`
MultiPageEditorSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selProvider)`
The `MultiPageEditorSite` implementation of this `IWorkbenchPartSite` method forwards to the multi-page editor for registration.
`final void`
MultiPageEditorSite.`registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`void`
PageSite.`registerContextMenu(String menuID, MenuManager menuMgr, ISelectionProvider selProvider)`